summaryrefslogtreecommitdiffstats
path: root/bin/container-shell
diff options
context:
space:
mode:
Diffstat (limited to 'bin/container-shell')
-rwxr-xr-xbin/container-shell7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/container-shell b/bin/container-shell
index fd85d93..da91c76 100755
--- a/bin/container-shell
+++ b/bin/container-shell
@@ -23,6 +23,8 @@ PROGRAM="container"
COMMAND="$(basename ${0})"
+LC_ALL="C.UTF-8"
+
Usage ()
{
echo "Usage: ${PROGRAM}-shell" >&2
@@ -64,6 +66,9 @@ Shell ()
echo "$(for COMMAND in about logout *; do echo ${COMMAND}; done | sort)"
cd "${OLDPWD}"
+ echo
+ echo "Use 'help COMMAND' for more information."
+
return
;;
@@ -82,7 +87,7 @@ Shell ()
return
else
echo
- "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}" || true
+ sudo "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}" || true
fi
}